<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetHotelInfo StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetHotelInfo extends AbstractStructBase
{
    /**
     * The OTA_HotelInfoRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_HotelInfoRQ
     */
    public $OTA_HotelInfoRQ;
    /**
     * Constructor method for GetHotelInfo
     * @uses DgGetHotelInfo::setOTA_HotelInfoRQ()
     * @param \dgsoft\StructType\DgOTA_HotelInfoRQ $oTA_HotelInfoRQ
     */
    public function __construct(\dgsoft\StructType\DgOTA_HotelInfoRQ $oTA_HotelInfoRQ = null)
    {
        $this
            ->setOTA_HotelInfoRQ($oTA_HotelInfoRQ);
    }
    /**
     * Get OTA_HotelInfoRQ value
     * @return \dgsoft\StructType\DgOTA_HotelInfoRQ|null
     */
    public function getOTA_HotelInfoRQ()
    {
        return $this->OTA_HotelInfoRQ;
    }
    /**
     * Set OTA_HotelInfoRQ value
     * @param \dgsoft\StructType\DgOTA_HotelInfoRQ $oTA_HotelInfoRQ
     * @return \dgsoft\StructType\DgGetHotelInfo
     */
    public function setOTA_HotelInfoRQ(\dgsoft\StructType\DgOTA_HotelInfoRQ $oTA_HotelInfoRQ = null)
    {
        $this->OTA_HotelInfoRQ = $oTA_HotelInfoRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetHotelInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
